document_id stringlengths 8 12 | document stringlengths 50 3.21k | split stringclasses 1
value |
|---|---|---|
d_bash_16200 | ---
+++
@@ -3,7 +3,6 @@
apm install atom-runner
apm install file-icons
apm install jsonpp
-apm install language-csharp
apm install language-haskell
apm install language-swift
apm install linter | bash |
d_bash_16201 | ---
+++
@@ -4,11 +4,8 @@
for ext in gcda gcno
do
- for dir in external hepconnector libelperiodic
- do
- find ${dir} -name "*.${ext}" -delete
- done
find src -name "*_fin.${ext}" -delete
done
-coveralls --gcov gcov --gcov-options '\-lp';
+coveralls --exclude external --exclude hepconnector --exclude l... | bash |
d_bash_16202 | ---
+++
@@ -1,4 +1,5 @@
#!/bin/bash
+# First, publish docs
rm -rf publish_docs || exit 0;
mkdir publish_docs
cp -R docs/* publish_docs
@@ -9,7 +10,10 @@
git add .
git commit -m "Deployed to Github Pages"
git push --force --quiet "https://${GH_TOKEN}@${GH_REF}" master:gh-pages > /dev/null 2>&1
+
cd ..
+
+# The... | bash |
d_bash_16203 | ---
+++
@@ -11,7 +11,7 @@
cd "${_workingdir}" || return
${_hugobin} new posts/"${_hytitle}.md"
cd "${_workingdir}" || return
-${_gitbin} add ./*
-${_gitbin} commit -m "Logr new post ${_datetime}"
-${_gitbin} push origin master
+# ${_gitbin} add ./*
+# ${_gitbin} commit -m "Logr new post ${_datetime}"
+# ${_gitbin}... | bash |
d_bash_16204 | ---
+++
@@ -2,15 +2,29 @@
_sbp_python_virtual_env_bg=${_sbp_python_virtual_env_bg:-$_sbp_color_dgreen}
_sbp_python_virtual_env_fg=${_sbp_python_virtual_env_fg:-$_sbp_color_white}
-function _sbp_generate_python_virtual_env_segment {
- local command_value
- if [[ $VIRTUAL_ENV ]]; then
- command_value="${VIRTUA... | bash |
d_bash_16205 | ---
+++
@@ -3,6 +3,8 @@
source ~/dotfiles/setup/header.sh
# Load in environment variables for brew, nvm, node, etc.
source ~/dotfiles/terminal/bash/exports.sh
+# Load nvm so that the node and npm commands are available
+source ~/dotfiles/terminal/bash/load_nvm.sh
echo "Installing npm packages..."
preload_npm_p... | bash |
d_bash_16206 | ---
+++
@@ -1,29 +1,7 @@
#!/usr/bin/env bash
BASE_DIR="/var/www/html/copy/template/"
-HTACCESS="$BASE_DIR/.htaccess"
-
-PASSWDFILE="/etc/httpd/.htpasswd"
-if [ -d /etc/apache2 ]
-then
- PASSWDFILE="/etc/apache2/.htpasswd"
-fi
-
-config_htaccess() {
- mkdir -p $BASE_DIR
- result=$?
- echo "Options -Indexes" > ... | bash |
d_bash_16207 | ---
+++
@@ -4,6 +4,7 @@
# Authors:
# Florian Walch <florian.walch@gmx.at>
# Sorin Ionescu <sorin.ionescu@gmail.com>
+# neersighted <neersighted@myopera.com>
#
# Return if requirements are not found.
@@ -11,7 +12,8 @@
return 1
fi
-_gpg_env="$HOME/.gnupg/gpg-agent.env"
+# Make sure to use the $GNUPGH... | bash |
d_bash_16208 | ---
+++
@@ -8,5 +8,5 @@
fi
if command -v mvim &> /dev/null; then
- mvim -u ~/.vim/plug.vim +PlugInstall +qall
+ mvim +PlugInstall +qall
fi | bash |
d_bash_16209 | ---
+++
@@ -5,13 +5,13 @@
doIt() {
rsync --exclude ".git/" --exclude ".DS_Store" --exclude "bootstrap.sh" \
--exclude "README.md" --exclude "LICENSE.md" --exclude "sublime/" \
- -avh --no-perms . ~;
+ --exclude "brew.sh" -avh --no-perms . ~;
}
pretendToDoIt() {
rsync --dry-run --exclu... | bash |
d_bash_16210 | ---
+++
@@ -1,21 +1,25 @@
-#!/bin/zsh
+#!/bin/zsh -e
set -x -v
-cd launch && \
-find . -name \*~ -exec rm '{}' \; && \
-xcodebuild -configuration Deployment clean && \
-xcodebuild -configuration Deployment DSTROOT=/ "INSTALL_PATH=$PWD" install && \
-SetFile -c 'ttxt' -t 'TEXT' README VERSION launch.1 && \
-sudo ... | bash |
d_bash_16211 | ---
+++
@@ -25,6 +25,8 @@
format(){
if [[ ${1} -le 9 ]]; then
StringUtil append 0 ${1}
+ else
+ echo ${1}
fi
}
| bash |
d_bash_16212 | ---
+++
@@ -6,4 +6,3 @@
"${BASE}/helpers_tests.sh"
"${BASE}/pharo_tests.sh"
"${BASE}/squeak_tests.sh"
-python "${BASE}/../lib/file_out_gittifier.py" --testing "${BASE}/../src/"*.st | bash |
d_bash_16213 | ---
+++
@@ -4,7 +4,7 @@
NAME="syndicate-AG"
VERSION="0.$(date +%Y\%m\%d\%H\%M\%S)"
-DEPS="openssl curl protobuf libsyndicate thrift0.8-vicci"
+DEPS="openssl curl protobuf libsyndicate thrift0.8-syndicate"
DEPARGS=""
for pkg in $DEPS; do | bash |
d_bash_16214 | ---
+++
@@ -2,8 +2,11 @@
# install libnpk
git clone https://github.com/lqez/npk.git _libnpk
-cd _libnpk
-./build.sh && cd _build && sudo make install
+cd "_libnpk"
+mkdir "_build"
+cd "_build"
+cmake .. -DDEV_MODE=True -DBUILD_NPK=False
+make && make test && sudo make install
cd ../..
# test pynpk | bash |
d_bash_16215 | ---
+++
@@ -2,8 +2,8 @@
echo "Configuring all..."
-./config/create_symlinks.sh
-./config/set_prefs.sh
-./config/install_packages.sh
-./config/install_casks.sh
-./personal/config/config_all.sh
+source ./config/create_symlinks.sh
+source ./config/set_prefs.sh
+source ./config/install_packages.sh
+source ./config/i... | bash |
d_bash_16216 | ---
+++
@@ -25,7 +25,7 @@
if pkg -v >/dev/null 2>&1; then
true
else
- echo "pkg not available"
+ echo "pkg not available on the build system"
exit 1
fi
@@ -41,6 +41,7 @@
# Only register the package init functions once.
if [ -z "$_PACKAGE_INIT" ]; then
strategy_add $PHASE_CHECK package_test... | bash |
d_bash_16217 | ---
+++
@@ -1,4 +1,4 @@
#!/bin/bash
set -ev
chmod 400 travis_deploy/deploy_key
-/usr/bin/ssh -o UserKnownHostsFile=/dev/null -o StrictHostKeyChecking=no vegosvar@beta.vegosvar.se -i travis_deploy/deploy_key 'cd /var/www/beta.vegosvar.se && git pull origin master'
+/usr/bin/ssh -o UserKnownHostsFile=/dev/null -o St... | bash |
d_bash_16218 | ---
+++
@@ -15,4 +15,4 @@
# Kick off a build on GCP.
#
-gcloud builds submit --tag gcr.io/research-graph/research-graph-synthetic
+gcloud builds submit --tag gcr.io/research-graph/research-graph-synthetic --timeout=3600 | bash |
d_bash_16219 | ---
+++
@@ -1,6 +1,11 @@
#!/bin/bash -xe
export RAILS_ENV=test
export DISPLAY=":99"
+
+# Try to merge master into the current branch, and abort if it doesn't exit
+# cleanly (ie there are conflicts). This will be a noop if the current branch
+# is master.
+git merge --no-commit origin/master || git merge --abort
... | bash |
d_bash_16220 | ---
+++
@@ -7,7 +7,8 @@
pkg_maintainer="Chris Alfano <chris@jarv.us>"
pkg_license=('MIT')
pkg_bin_dirs=(bin)
-pkg_deps=(core/postgresql)
+pkg_build_deps=(core/patchelf)
+pkg_deps=(core/postgresql core/glibc core/gcc-libs core/zlib core/gmp)
do_build() {
return 0
@@ -16,4 +17,5 @@
do_install() {
mkdir -p ... | bash |
d_bash_16221 | ---
+++
@@ -4,7 +4,7 @@
DATA_FTP=ftp://ftp.metagenomics.anl.gov/data/MD5nr/current/md5nr_blast.tar.gz
cd $DATA_DIR
-[ -e m5nr.pal ] && exit
+[ -e md5nr.pal ] && exit
wget $DATA_FTP
tar -zxvf md5nr_blast.tar.gz
rm md5nr_blast.tar.gz | bash |
d_bash_16222 | ---
+++
@@ -23,12 +23,13 @@
if [ -n "$optional_dir" ]; then
eval "optional_dir=$optional_dir"
! _test_empty_dir "$optional_dir" || continue
- cmd="git clone $remote $options"
+ options=$(printf "%s" "$op" | cut -d' ' -f 2-)
+ cmd="git clone $remote \"$optional_dir\" $options"
printf "Cloning remo... | bash |
d_bash_16223 | ---
+++
@@ -14,6 +14,6 @@
git config user.email "webmaster@newtheatre.org.uk"
git config user.name "ntbot"
git add -A .
- git commit -a -m "Travis Build $TRAVIS_BUILD_NUMBER for $TRAVIS_COMMIT"
+ git commit -a -q -m "Travis Build $TRAVIS_BUILD_NUMBER for $TRAVIS_COMMIT"
git push --quiet -f origin gh-pag... | bash |
d_bash_16224 | ---
+++
@@ -1,4 +1,13 @@
#!/bin/bash -e
+
+CURRENT_UID="$(id -u)"
+CURRENT_GID="$(id -g)"
+
+if [ ${CURRENT_GID} -ne 1000 ]; then
+ if ! whoami &> /dev/null; then
+ echo "edge:x:${CURRENT_UID}:0:edge:/home/edge:/bin/bash" >> /etc/passwd
+ fi
+fi
if [[ $ENABLE_SSH = "On" ]]
then | bash |
d_bash_16225 | ---
+++
@@ -1 +1 @@
-wget -P tests/data/ http://www.segelflug.de/vereine/welt2000/download/WELT2000.TXT
+wget -NP tests/data/ http://www.segelflug.de/vereine/welt2000/download/WELT2000.TXT | bash |
d_bash_16226 | ---
+++
@@ -8,3 +8,7 @@
echo "The url of the fatjar is ${url}"
ls -la
+
+cd package_sources
+npm install ../sts4/atom-extensions/atom-commons
+ls -la | bash |
d_bash_16227 | ---
+++
@@ -2,6 +2,8 @@
sudo aptitude update || true
-for PKG in texlive texlive-latex-extra darcs git automake fakeroot python-epydoc python-setuptools debhelper dh-ocaml python-virtualenv graphviz; do
+for PKG in texlive texlive-latex-extra darcs git automake fakeroot python-epydoc python-setuptools debhelper ... | bash |
d_bash_16228 | ---
+++
@@ -7,4 +7,5 @@
build_fuzzer
$CC $CFLAGS -c $SCRIPT_DIR/sqlite3.c
$CC $CFLAGS -c $SCRIPT_DIR/ossfuzz.c
-$CXX $CXXFLAGS sqlite3.o ossfuzz.o $LIB_FUZZING_ENGINE -o $EXECUTABLE_NAME_BASE
+$CXX $CXXFLAGS -ldl -pthread sqlite3.o ossfuzz.o $LIB_FUZZING_ENGINE \
+ -o $EXECUTABLE_NAME_BASE | bash |
d_bash_16229 | ---
+++
@@ -23,7 +23,7 @@
cd stainless-actors || exit 1
-$SED -i "s/StainlessVersion = \".*\"/StainlessVersion = \"$STAINLESS_VERSION\"/" project/plugins.sbt || exit 1
+$SED -i "s#StainlessVersion = \".*\"#StainlessVersion = \"$STAINLESS_VERSION\"#" project/plugins.sbt || exit 1
ACTOR_EXAMPLES="counter leader... | bash |
d_bash_16230 | ---
+++
@@ -8,6 +8,7 @@
alias -g .....='../../../..'
alias -g ......='../../../../..'
+alias -- -='cd -'
alias 1='cd -'
alias 2='cd -2'
alias 3='cd -3' | bash |
d_bash_16231 | ---
+++
@@ -1,7 +1,7 @@
#!/bin/bash -x
build_dir=$1
-if [[ -z ${build_dir+x} ]]
+if [[ -z ${build_dir} ]]
then
build_dir="build"
fi | bash |
d_bash_16232 | ---
+++
@@ -1,6 +1,6 @@
#!/bin/bash
-sort -u pterms.txt | perl break.pl | db_load -T -t btree pt.idx
-sort -u rterms.txt | perl break.pl | db_load -T -t btree rt.idx
-sort -u scores.txt | perl break.pl | db_load -T -t btree sc.idx
+sort -u pterms.txt | perl break.pl | db_load -T -t btree -c duplicates=1 pt.idx
+so... | bash |
d_bash_16233 | ---
+++
@@ -2,16 +2,16 @@
RBENV_EVAL='eval "$(rbenv init -)"'
RBENV_VERSION='1.9.3-p448'
-if brew list | grep -q 'rbenv'
+if [[ `brew list` =~ 'rbenv' ]]
then
- brew upgrade rbenv
+ echo "Skipping... rbenv already installed"
else
brew install rbenv
fi
-if brew list | grep -q 'ruby-build'
+if [[ `brew li... | bash |
d_bash_16234 | ---
+++
@@ -1,9 +1,8 @@
#!/bin/sh
# I discovered this while fiddling around with the terminal today! Of
-# course, in retrospect, it's obvious. This, of course, is just a
-# proof of concept, to show you the sort of thing you can do with
-# unix pipes.
+# course, in retrospect, it's obvious. This is just a proof ... | bash |
d_bash_16235 | ---
+++
@@ -1,11 +1,25 @@
#!/bin/sh
+make doc
rm -rf doc/rst && mkdir doc/rst
-make doc
-pandoc --read=html --write=rst doc/leo_rpc.html -o doc/rst/leo_rpc.rst
-pandoc --read=html --write=rst doc/leo_rpc_client_conn.html -o doc/rst/leo_rpc_client_conn.rst
-pandoc --read=html --write=rst doc/leo_rpc_client_manager... | bash |
d_bash_16236 | ---
+++
@@ -13,9 +13,9 @@
fi
popd
-cp -r bosh-cpi-src-in bosh-cpi-src-out
+cp -r bosh-cpi-src-in bosh-cpi-src-out/repo
-cd bosh-cpi-src-out/src/bosh_openstack_cpi
+cd bosh-cpi-src-out/repo/src/bosh_openstack_cpi
echo "Looking for new gem versions"
rm Gemfile.lock
./vendor_gems | bash |
d_bash_16237 | ---
+++
@@ -1,6 +1,7 @@
#!/bin/sh
set -e
+set -x
for dir in MoreLinq.Test/bin/Debug/net451/*/ ; do
mono $dir/dotnet-test-nunit.exe $dir/MoreLinq.Test.dll | bash |
d_bash_16238 | ---
+++
@@ -17,15 +17,19 @@
EXTRA_ARGS=
if [ ! -z "$EXM_OPT_BUILD" ]; then
- EXTRA_ARGS+="--enable-fast"
+ EXTRA_ARGS+="--enable-fast "
fi
if [ ! -z "$EXM_DEBUG_BUILD" ]; then
- EXTRA_ARGS+="--enable-log-debug"
+ EXTRA_ARGS+="--enable-log-debug "
+fi
+
+if [ ! -z "$EXM_TRACE_BUILD" ]; then
+ EX... | bash |
d_bash_16239 | ---
+++
@@ -13,13 +13,10 @@
# instant simple server
# https://gist.github.com/1525217
-alias server="open http://localhost:8000 && python -m SimpleHTTPServer"
+alias server="python -m SimpleHTTPServer && open http://localhost:8000"
# git grep
alias gg="git grep"
-
-# global agignore
-alias ag="ag --path-to-ag... | bash |
d_bash_16240 | ---
+++
@@ -22,7 +22,7 @@
echo "[$CLUSTER_NODE_NAME] - stopping node..."
(
- docker-machine stop "$CLUSTER_NODE_NAME" > /dev/null 2>&1
+ docker-machine stop "$CLUSTER_NODE_NAME" > /dev/null
echo "[$CLUSTER_NODE_NAME] - node stopped succesfully"
) &
| bash |
d_bash_16241 | ---
+++
@@ -8,9 +8,6 @@
curbranch=`git rev-parse --abbrev-ref HEAD`
-mkdir -p node_modules
-cd node_modules
-
function dodep() {
org=$1
repo=$2
@@ -18,10 +15,32 @@
git clone https://github.com/$org/$repo.git $repo
pushd $repo
git checkout $curbranch || git checkout develop
- npm inst... | bash |
d_bash_16242 | ---
+++
@@ -1,3 +1,3 @@
#!/bin/bash
rm -f ./src/ambit_dist.js
-cat ./src/ambit.js ./src/Substance.js > ./src/ambit_dist.js
+cat ./src/ambit.js ./src/Substance.js ./src/Bundle.js > ./src/ambit_dist.js | bash |
d_bash_16243 | ---
+++
@@ -11,9 +11,9 @@
sed 's/.*queue 1.*/Requirements = regexp("uc3-c.*", Machine)\n&/' temp_file > $submit_file
condor_submit *.submit
condor_wait job_logs/*.log
-sha256sum jobsarchived$yesterday-processed.csv >> $faxbox_logs/processed/$year/sha256sum
-sha256sum jobsarchived$yesterday-bad.csv >> $faxbox_logs/... | bash |
d_bash_16244 | ---
+++
@@ -2,17 +2,14 @@
cd /var/www/
-find .
-
# What this image calls html, we call htdocs
-if [ ! -f htdocs ]; then
- ln -s html htdocs
+if [ -f html ]; then
+ rmdir html
+ ln -s htdocs html
fi
# Install Composer dependencies
-cd htdocs
composer install
-cd ..
# Move over the settings file.... | bash |
d_bash_16245 | ---
+++
@@ -17,10 +17,10 @@
## while stumpwm is still running
while kill -0 "$stump_pid" > /dev/null 2>&1; do
if [ "$host" = '.' ]; then
- newcount="$(ls ${path} | wc -l)"
+ newcount="$(ls ${path} | wc -l | tr -d '[[:space:]]')"
else
newcount=$(/usr/bin/ssh -p "$port" -x -o ConnectTimeout=1
- "$user... | bash |
d_bash_16246 | ---
+++
@@ -11,4 +11,4 @@
docker run -i --rm=true --env="${EXTRA_ENV}" -v "/var/run/docker.sock:/var/run/docker.sock" 'son-analyze-test' -v bootstrap
-#docker run -i --rm=true --env="${EXTRA_ENV}" -v "/var/run/docker.sock:/var/run/docker.sock" -v "$(pwd)/outputs:/son-analyze/outputs" --entrypoint='/bin/bash' '... | bash |
d_bash_16247 | ---
+++
@@ -16,8 +16,4 @@
echo "IO_URL_PORT is missing, can't start entry server." >&2 && exit 1
fi
-forever start /srv/weplay-web/index.js
-forever start /srv/weplay/index.js
-
-# MAGIC
-tail -f /root/.forever/*.log
+forever /srv/weplay-web/index.js | bash |
d_bash_16248 | ---
+++
@@ -1,19 +1,25 @@
#! /bin/bash
+
+THING="monster"
+
+
+function syn_kill {
+ echo -n "Killing $THING... "
+ #sudo killall synergys
+ killall $THING && echo "Dead"
+ sleep 1
+ killall -9 $THING >> /dev/null 2>&1 && echo "Dead"
+ exit 0
+}
if pgrep synergys
then
- echo "Killing server"
- #sud... | bash |
d_bash_16249 | ---
+++
@@ -5,7 +5,7 @@
cat <<EOS
HTTP/1.0 200 OK
-Content-Type: text/html
+Content-Type: text/plain; charset=utf-8
Content-Length: ${LENGTH}
${BODY} | bash |
d_bash_16250 | ---
+++
@@ -1,6 +1,6 @@
#!/bin/bash
-FILE="config/database.yml"
+FILE="/vagrant/config/database.yml"
cat <<EOM >$FILE
default: &default
@@ -19,7 +19,7 @@
database: handy_test
EOM
-FILE="config/twilio.yml"
+FILE="/vagrant/config/twilio.yml"
cat <<EOM >$FILE
@@ -34,5 +34,4 @@
phone_number: # Fill t... | bash |
d_bash_16251 | ---
+++
@@ -17,7 +17,7 @@
export CXXFLAGS=-fPIC
export PKG_CONFIG_PATH=$ZMQ_PREFIX/lib/pkgconfig
-test -f zeromq-$ZMQ.tar.gz || ZMQ=$ZMQ ZMQ_REPO=$ZMQ_REPO node "$(dirname $(realpath $0))/download-zmq.js" 2>&1 > ../zmq-build.log
+test -f zeromq-$ZMQ.tar.gz || ZMQ=$ZMQ ZMQ_REPO=$ZMQ_REPO node ../download-zmq.js 2>... | bash |
d_bash_16252 | ---
+++
@@ -7,4 +7,4 @@
# Retag master and debian
git tag -f -a master/${VERSION} master -m "Tagged master branch with version $version"
-git tag -f -a debian/${VERSION} debian -m "Tagged debian branch with version $version"
+#git tag -f -a debian/${VERSION} debian -m "Tagged debian branch with version $version" | bash |
d_bash_16253 | ---
+++
@@ -21,5 +21,5 @@
#mvn $EXT $LOG4J exec:java 2>&1 &" >>signalk-static/logs/start.log 2>&1 &
#mvn $EXT $LOG4J exec:java
#>>logs/start.log 2>&1 &
-echo "Starting offline: mvn -Dexec.args='$EXT' '$LOG4J' '$HAWTIO' exec:java 2>&1 &" >>signalk-static/logs/start.log 2>&1 &
-mvn -Dexec.args="'$EXT' '$LOG4J' '$HA... | bash |
d_bash_16254 | ---
+++
@@ -1,9 +1,10 @@
#!/bin/bash
+set -e
while true
do
clear
printf '\e[3J'
date
python -m scrapy crawl FreeEyeOut
- sleep 15
+ sleep 30
done | bash |
d_bash_16255 | ---
+++
@@ -4,9 +4,9 @@
if [ ! "$(ls -A $HOME/gnatsd)" ]; then
mkdir -p $HOME/gnatsd
cd $HOME/gnatsd
- wget https://github.com/nats-io/gnatsd/releases/download/v0.9.2/gnatsd-v0.9.2-linux-amd64.zip -O gnatsd.zip
+ wget https://github.com/nats-io/gnatsd/releases/download/v0.9.4/gnatsd-v0.9.4-linux-amd64.zip -O... | bash |
d_bash_16256 | ---
+++
@@ -19,6 +19,9 @@
echo "Installing Drop from Github with pip"
pip install https://github.com/infant-cognition-tampere/drop/archive/master.zip
+echo "Installing FFmpeg binary for imageio (dependency of PsychoPy)"
+python -c 'import imageio; imageio.plugins.ffmpeg.download()'
+
echo ''
echo 'Drop should b... | bash |
d_bash_16257 | ---
+++
@@ -1,14 +1,19 @@
## Load smart urls if available
-for d in $fpath; do
- if [[ -e "$d/url-quote-magic" ]]; then
- if [[ -e "$d/bracketed-paste-magic" ]]; then
- autoload -Uz bracketed-paste-magic
- zle -N bracketed-paste bracketed-paste-magic
- fi
- autoload -U url-quote-magic
- zle -N self-insert ur... | bash |
d_bash_16258 | ---
+++
@@ -6,11 +6,12 @@
MYSQL_SQL_TO_RUN=${MYSQL_SQL_TO_RUN:-"GRANT ALL ON \`%_test\`.* TO testrunner@'%' IDENTIFIED BY 'testrunner';"}
echo "Mounting MySQL with ${MYSQLD_RAM_SIZE}MB of RAM."
-mv /var/lib/mysql /var/lib/mysql_old
-mkdir /var/lib/mysql
+if [[ ! -d /var/lib/mysql_template ]]; then
+ mv /var/lib/m... | bash |
d_bash_16259 | ---
+++
@@ -24,7 +24,7 @@
while true; do
value=$( \
- curl localhost:8008 | \
+ curl -sf localhost:8008 | \
jq -c \
--arg cell ${CELL_GUID} \
--arg node ${NODE_ID} \ | bash |
d_bash_16260 | ---
+++
@@ -13,13 +13,13 @@
LATEST_TAG=$(git describe --abbrev=0 --tags)
cd ../
- git clone --quiet --branch=automate-gh-pages https://${GH_TOKEN}@github.com/openxc/openxc-android automate-gh-pages > /dev/null
- cd automate-gh-pages
+ git clone --quiet --branch=gh-pages https://${GH_TOKEN}@github.com/openx... | bash |
d_bash_16261 | ---
+++
@@ -5,6 +5,12 @@
sudo /opt/remnux-scripts/update-remnux
sudo /usr/local/bin/update-sift
sudo /usr/bin/freshclam
+
+if ! -e /etc/apt/sources.list.d/google-chrome.list ; then
+ if -e /etc/apt/sources.list.d/google-chrome.list.save ; then
+ sudo mv /etc/apt/sources.list.d/google-chrome.list.save /et... | bash |
d_bash_16262 | ---
+++
@@ -37,3 +37,10 @@
php -dphar.readonly=0 ./vendor/bin/box build
mv akamai-open-edgegrid-auth.phar "akamai-open-edgegrid-auth${VERSION}.phar"
+
+echo "<?php
+include 'akamai-open-edgegrid-auth${VERSION}.phar';
+\$auth = \Akamai\Open\EdgeGrid\Authentication::createFromEdgeRcFile();" > test.php
+echo "Runnin... | bash |
d_bash_16263 | ---
+++
@@ -4,16 +4,28 @@
apt-get update
apt-get -y upgrade
apt-get purge -y hexchat transmission-* pidgin* xplayer* rhythmbox*
-apt-get install -y vim git chromium-browser audacious vlc
+apt-get install -y vim git chromium-browser audacious vlc keepass2
+curl -fsSL https://get.docker.com/ | sh
+sudo usermod -aG d... | bash |
d_bash_16264 | ---
+++
@@ -1,6 +1,6 @@
version=1.2.17
previous_version=1.2.16
-latest_fedora=28
+latest_fedora=29
latest_rhel=7
version_major_minor="${version%.*}" | bash |
d_bash_16265 | ---
+++
@@ -6,7 +6,7 @@
SCRIPT=${THIS%.sh}.tcl
OUTPUT=${THIS%.sh}.out
-bin/turbine -n 3 ${SCRIPT} >& ${OUTPUT}
+bin/turbine -l -n 3 ${SCRIPT} >& ${OUTPUT}
[[ ${?} == 0 ]] || exit 1
grep -q "answer_rank: 0" ${OUTPUT} || exit 1 | bash |
d_bash_16266 | ---
+++
@@ -6,7 +6,7 @@
ENV_FILE=".env"
# load variables from file if not already set
while read -r line || [ -n "$line" ]; do
- if [[ ! "$line" =~ ^\s*# ]]; then
+ if [ -n "$line" ] && [[ ! "$line" =~ ^\s*# ]]; then
env_name=$(echo "$line" | cut -d "=" -f 1)
if [ -z "${!env_name}" ]; then
... | bash |
d_bash_16267 | ---
+++
@@ -7,7 +7,7 @@
# Run in docker
cd `dirname $0`/..
docker build -t xd-docker-docs -f docs/Dockerfile .
- MAKE="docker run -v $PWD:/src -w /src/docs xd-docker-docs make"
+ MAKE="docker run --rm -v $PWD:/src -w /src/docs xd-docker-docs make"
fi
# Default make arguments | bash |
d_bash_16268 | ---
+++
@@ -11,37 +11,51 @@
function usage() {
me=$(basename "$0")
echo
- echo "Usage: $me build|clean"
+ echo "Usage: $me build|clean [sample_name]"
echo
exit 2
+}
+
+function buildProject() {
+ dir=$1
+ echo "*********************** Building $dir"
+ pushd "$mydir/samples/$dir"
+ ... | bash |
d_bash_16269 | ---
+++
@@ -5,6 +5,10 @@
if [ -n "${ACTIVERECORD_VERSION}" ]; then
GEMSET="${GEMSET}-${ACTIVERECORD_VERSION}"
+fi
+
+if [ -n "${CPK}" ]; then
+ GEMSET="${GEMSET}-${CPK}"
fi
if [ -z "$CI_RUBY" ]; then | bash |
d_bash_16270 | ---
+++
@@ -1,7 +1,7 @@
#!/bin/bash
set -ev
-dir=$(PWD)
+dir=$(pwd)
export RAM_CONF=$dir/backend/conf/conf.js
echo RAM_CONF is $RAM_CONF | bash |
d_bash_16271 | ---
+++
@@ -6,8 +6,8 @@
#/
#/ Device URI is read from the stbt config file; the address of the individual
#/ power outlet is replaced with the ones specified as command line arguments.
-#/ Example: `power-switch-stress-test.sh 1-A{1-8}` sends requests to switch all
-#/ 8 outlets of a PDUeX KWX unit simultaneously.... | bash |
d_bash_16272 | ---
+++
@@ -25,6 +25,4 @@
npm install
-./node_modules/.bin/gulp clean.all
-
./node_modules/.bin/gulp setup | bash |
d_bash_16273 | ---
+++
@@ -1,8 +1,8 @@
#!/bin/bash
set -e
+chown -R celery:celery /var/lib/celery
if [ "$1" = '/opt/django-venv/bin/gunicorn' ]; then
- chown -R celery:celery /var/lib/celery
/wait-for-it.sh postgres:5432
/opt/django-venv/bin/python /opt/app/manage.py migrate --noinput
/opt/django-venv/bin/pyt... | bash |
d_bash_16274 | ---
+++
@@ -1,23 +1,17 @@
_boom_complete() {
- local cur prev lists
+ local cur prev lists curr_list items
COMPREPLY=()
cur="${COMP_WORDS[COMP_CWORD]}"
prev="${COMP_WORDS[COMP_CWORD-1]}"
+ curr_list=`eval echo "$prev"`
+ local IFS=$'\n'
- lists=`boom | awk '{print $1}'`
-
- case "$... | bash |
d_bash_16275 | ---
+++
@@ -14,6 +14,6 @@
#
# Copyright Clairvoyant 2015
-yum -y -e1 -d1 install krb5-workstation
+yum -y -e1 -d1 install krb5-workstation epel-release
yum -y -e1 -d1 install kstart k5start
| bash |
d_bash_16276 | ---
+++
@@ -1,8 +1,5 @@
## Command history configuration
-if [ -z "$HISTFILE" ]; then
- HISTFILE=$HOME/.zsh_history
-fi
-
+[ -z "$HISTFILE" ] && HISTFILE="$HOME/.zsh_history"
HISTSIZE=10000
SAVEHIST=10000
| bash |
d_bash_16277 | ---
+++
@@ -1,7 +1,7 @@
#!/bin/bash
-python manage.py build_solr_schema --settings=dev_settings > /etc/solr/conf/schema.xml
+python manage.py build_solr_schema --settings=dev_settings > /etc/solr/conf/vagrant/conf/schema.xml
-/etc/init.d/tomcat6 restart
+service tomcat6 restart
python manage.py rebuild_index ... | bash |
d_bash_16278 | ---
+++
@@ -10,6 +10,10 @@
echo "*** Specs passed. Starting litmus"
echo
+
+# Ensure fresh store directory
+rm -rf /tmp/dav-file-store
+mkdir /tmp/dav-file-store
# Run litmus test
bundle exec dav4rack --root /tmp/dav-file-store & | bash |
d_bash_16279 | ---
+++
@@ -1 +1,5 @@
-export EDITOR='subl'
+# Only set this if we haven't set $EDITOR up somewhere else previously.
+if [ "$EDITOR" == "" ] ; then
+ # Use sublime for my editor.
+ export EDITOR='subl'
+fi | bash |
d_bash_16280 | ---
+++
@@ -23,8 +23,9 @@
echo No DIGIPRES_REPO_DEPLOY_PRIVATE_KEY set: using standard remote.
git remote get-url origin
else
- echo DIGIPRES_REPO_DEPLOY_PRIVATE_KEY set: using id_ed25519
+ echo DIGIPRES_REPO_DEPLOY_PRIVATE_KEY set: using ssh -i ~/.ssh/id_ed25519
echo "${DIGIPRES_REPO_DEPLOY_PRIVATE_KEY}"... | bash |
d_bash_16281 | ---
+++
@@ -1,4 +1,4 @@
-#!/bin/sh
+#!/usr/bin/env sh
cd $(dirname $0)/..
| bash |
d_bash_16282 | ---
+++
@@ -1,7 +1,6 @@
#!/bin/sh -x
apt-get -y update
apt-get -y upgrade
-apt-get -y dist-upgrade
apt-get -y install linux-headers-$(uname -r) build-essential
apt-get -y install zlib1g-dev libssl-dev libreadline-gplv2-dev libyaml-dev
apt-get -y install dkms | bash |
d_bash_16283 | ---
+++
@@ -10,7 +10,7 @@
if command -v cqlsh > /dev/null 2>&1
then
- echo "SELECT path from metric LIMIT 1 ;" | cqlsh -k metric > /dev/null 2>&1 || (echo "Creating cassandra schema..." && cat /var/lib/cyanite/schema.cql | cqlsh)
+ cqlsh -k metric -e "SELECT path from metric LIMIT 1" > /dev/null 2>&1 || (echo "Cr... | bash |
d_bash_16284 | ---
+++
@@ -14,5 +14,7 @@
cat >> /etc/straycat-base-image << EOF
+
$vm_name
+
EOF | bash |
d_bash_16285 | ---
+++
@@ -7,7 +7,8 @@
if [ -n "${BASHBREW_SCRIPTS:-}" ]; then
jqt="$BASHBREW_SCRIPTS/jq-template.awk"
elif [ "$BASH_SOURCE" -nt "$jqt" ]; then
- wget -qO "$jqt" 'https://github.com/docker-library/bashbrew/raw/ac3e8e9541cb362a579b05bec41dd40d1df1c6e6/scripts/jq-template.awk'
+ # https://github.com/docker-library... | bash |
d_bash_16286 | ---
+++
@@ -6,4 +6,4 @@
vim -E -s -u "$HOME/.vimrc" +PlugInstall +qall
-sudo apt-get install cloc ctags fzf the_silver_searcher tree
+sudo apt-get install cloc ctags fzf tsilversearcher-ag tree | bash |
d_bash_16287 | ---
+++
@@ -21,7 +21,12 @@
do
if is_our_module "${mod}"
then
- puppet-lint --log-format "%{fullpath}:%{linenumber} %{KIND} %{message}" --no-documentation-check --no-80chars-check --fail-on-warnings "${mod}"
+ puppet-lint --log-format "%{fullpath}:%{linenumber} %{KIND} %{message}" \
+ --no-documentat... | bash |
d_bash_16288 | ---
+++
@@ -3,7 +3,7 @@
if [[ ! -d "/var/log/kolla/monasca" ]]; then
mkdir -p /var/log/kolla/monasca
fi
-if [[ $(stat -c %a /var/log/kolla/monesca) != "755" ]]; then
+if [[ $(stat -c %a /var/log/kolla/monasca) != "755" ]]; then
chmod 755 /var/log/kolla/monasca
fi
| bash |
d_bash_16289 | ---
+++
@@ -8,5 +8,6 @@
bundle install
# Start the development server.
-echo "To see the rails logs, open an SSH session and type `tail -f /tmp/rails-dev.log`."
-rails server >> /tmp/rails-dev.log 2>&1
+# Bind requests to 0.0.0.0 to forward requests from the host to the VM.
+echo "To see the rails logs, type `vag... | bash |
d_bash_16290 | ---
+++
@@ -18,5 +18,5 @@
# development files
if [[ ! -e "$HOME/.node-gyp/${NODE_VERSION}/common.gypi" ]]; then
echo "Going to fetch development files"
- node ./node_modules/.bin/node-gyp install ${NODE_VERSION}
+ node-gyp install ${NODE_VERSION}
fi | bash |
d_bash_16291 | ---
+++
@@ -19,7 +19,7 @@
go test -v ./...
go install -v ./...
-gometalinter ./... --deadline=90s --disable=gocyclo --disable=dupl
+gometalinter ./... --deadline=3m --disable=gocyclo --disable=dupl
packer \
build -machine-readable \ | bash |
d_bash_16292 | ---
+++
@@ -1,12 +1,21 @@
#!/bin/bash
echo ">> Building...";
+IS_CI=false;
+if [[ ! -z "${CI}" ]]; then
+ IS_CI=true;
+fi
+echo "app-android/build.sh: IS_CI '${IS_CI}'";
+GRADLE_ARGS="";
+if [ $IS_CI = true ]; then
+ GRADLE_ARGS=" --console=plain";
+fi
DIRECTORY=$(basename ${PWD});
CUSTOM_SETTINGS_GRADLE_FILE="..... | bash |
d_bash_16293 | ---
+++
@@ -8,7 +8,7 @@
# $THISDIR/run-one.sh /usr/local/bin master master-coq85
# $THISDIR/run-one.sh /usr/local/coq-v86/bin master master-coq86
$THISDIR/run-one.sh /usr/local/coq-trunk/bin master master-coqtrunk
-$THISDIR/run-one.sh /usr/local/coq-v86/bin io-concur io-concur-coq86
+$THISDIR/run-one.sh /usr/local... | bash |
d_bash_16294 | ---
+++
@@ -7,4 +7,4 @@
# - ./trigger-dependent-build
#
-curl -vvv -s -X POST -H "Content-Type: application/json" -H "Accept: application/json" -H "Travis-API-Version: 3" -H "Authorization: token $auth_token" -d '{"request":{"branch":"master"}}' https://api.travis-ci.org/repo/alphagov%2Fnotify-functional-test... | bash |
d_bash_16295 | ---
+++
@@ -9,7 +9,7 @@
popd
pushd tripleo-quickstart-extras
-git fetch https://git.openstack.org/openstack/tripleo-quickstart-extras refs/changes/36/414336/22 && git checkout FETCH_HEAD
+git fetch https://git.openstack.org/openstack/tripleo-quickstart-extras refs/changes/36/414336/23 && git checkout FETCH_HEAD
... | bash |
d_bash_16296 | ---
+++
@@ -31,12 +31,12 @@
mkdir $GDALINST;
fi
-if [ ! -d $GDALINST/gdal-2.1.0 ]; then
+if [ ! -d $GDALINST/gdal-2.3.2 ]; then
cd $GDALBUILD
- wget http://download.osgeo.org/gdal/2.1.0/gdal-2.1.0.tar.gz
- tar -xzf gdal-2.1.0.tar.gz
- cd gdal-2.1.0
- ./configure --prefix=$GDALINST/gdal-2.1.0 $GDALOPTS
+ ... | bash |
d_bash_16297 | ---
+++
@@ -18,6 +18,17 @@
# vagrant up
vagrant up
-echo "Don't forget to "
-echo "${bold}cd $(PWD)${normal}"
-echo " since shells ${bold}do not${normal} readily inherent PWD from their children."
+echo "You are in a subshell for $1 via the bootstrap script."
+echo "To keep things clean, ${bold}vagrant destroy${... | bash |
d_bash_16298 | ---
+++
@@ -1,28 +1,37 @@
set -e
+
+packages=(
+ bower
+ grunt-cli
+ mean-cli
+ sails
+ yo
+)
if test ! $(which brew); then
echo "Installing homebrew..."
ruby -e "$(curl -fsSL https://raw.githubusercontent.com/Homebrew/install/master/install)"
fi
-echo "Installing node..."
-brew install node
-
-echo... | bash |
d_bash_16299 | ---
+++
@@ -1,3 +1,8 @@
export GOPATH=$GOPATH:/Users/jemy/QiniuCloud/Projects/qshell
-gox -os="windows"
-gox -os="darwin"
+gox -os="darwin" -arch="386"
+gox -os="darwin" -arch="amd64"
+gox -os="windows" -arch="386"
+gox -os="windows" -arch="amd64"
+gox -os="linux" -arch="386"
+gox -os="linux" -arch="amd64" ... | bash |
Subsets and Splits
No community queries yet
The top public SQL queries from the community will appear here once available.